using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;

namespace DALI.ToolKit
{
    public class DaliStroke : IEnumerable<DaliStrokePoint>
    {
        public Guid Id { get; private set; } = Guid.NewGuid();

        private IEnumerable<DaliStrokePoint> _points;

        public DaliStroke(IEnumerable<DaliStrokePoint> points)
        {
            _points = points.ToList();
        }

        public IEnumerator<DaliStrokePoint> GetEnumerator()
        {
            return _points.GetEnumerator();
        }

        IEnumerator IEnumerable.GetEnumerator()
        {
            return _points.GetEnumerator();
        }
    }
}
